#!/bin/sh

set -e

FWGENSCRIPT=${FWGENSCRIPT:="/usr/share/examples/kld/firmware/wrap-fw_module.sh"}
FWDATADIR="/usr/local/share/fw-i915"

FWSUFFIX="i915fw_"

FWLIST="bxt_dmc_ver1  kbl_dmc_ver1  skl_dmc_ver1 skl_guc_ver1 skl_guc_ver4 skl_guc_ver6"

echo "Wrapping firmware ..."

for fwb in ${FWLIST}
do
  sh ${FWGENSCRIPT} "${FWDATADIR}/i915/${fwb}.bin" ${FWSUFFIX} > /dev/null 2>&1
done

echo "Wrapped firmware installed to /boot/modules.local/"
